> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/containers/toolbar.md).

# ToolBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [ToolBar](/api/v3.0/wisej.web/containers/toolbar.md)

Represents a toolbar component.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ToolBar : Control, IWisejDesignTarget
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ToolBar
    Inherits Control
    Implements IWisejDesignTarget
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)ToolBar()

Initializes a new instance of the [ToolBar](/api/v3.0/wisej.web/containers/toolbar.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoOverflow

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Enables the overflow handling which automatically removes items that don't fit in the [ToolBar](/api/v3.0/wisej.web/containers/toolbar.md) and adds them to a drop-down menu button.

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSize

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the toolbar adjusts its size automatically, based on the size of the buttons and the dock style.

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Returns or sets the border style of the toolbar control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Buttons

[ToolBarButtonCollection](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbar.toolbarbuttoncollection.md): Returns the collection of [ToolBarButton](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md) controls assigned to the toolbar control.

### ![](/files/uCY6T77rh488FWHzpJ6P)CausesValidation

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether clicking ToolBar buttons causes validation to be performed on the active control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Dock

[DockStyle](/api/v3.0/wisej.web/enumerations/wisej.web.dockstyle.md):

### ![](/files/uCY6T77rh488FWHzpJ6P)ImageList

[ImageList](/api/v3.0/wisej.web/content/imagelist.md): Returns or sets the collection of images available to the toolbar button controls.

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowToolTips

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the toolbar displays a ToolTip for each button.

### ![](/files/uCY6T77rh488FWHzpJ6P)TextAlign

[ToolBarTextAlign](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbartextalign.md): Returns or sets the alignment of text in relation to each image displayed on the toolbar button controls.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSizeChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [AutoSize](#autosize) property has changed.

### ![](/files/uCY6T77rh488FWHzpJ6P)ButtonClick

[ToolBarButtonClickEventHandler](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbarbuttonclickeventhandler.md) Fired when a [ToolBarButton](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md) on the [ToolBar](/api/v3.0/wisej.web/containers/toolbar.md) is clicked.

### ![](/files/uCY6T77rh488FWHzpJ6P)ButtonDropDown

[ToolBarButtonClickEventHandler](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbarbuttonclickeventhandler.md) Fired when a drop-down style [ToolBarButton](/api/v3.0/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md) or its down arrow is clicked.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/toolbar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
